Subject: Re: [PATCH v5 09/12] cifs: Cut over to using netfslib

From: Simon Horman <[email-masked]>
Date: Tue, 20 Feb 2024 13:31:58 +0000

On Mon, Feb 19, 2024 at 03:10:44PM +0000, David Howells wrote:
> Simon Horman <[email-masked]> wrote:
> 
> > >  /* Functions related to files and directories */
> > > +extern const struct netfs_request_ops cifs_req_ops;
> > >  extern const struct file_operations cifs_file_ops;
> > >  extern const struct file_operations cifs_file_direct_ops; /* if directio mnt */
> > >  extern const struct file_operations cifs_file_strict_ops; /* if strictio mnt */
> > 
> > Nit: this hunk would probably be better placed in the
> >      patch at adds cifs_req_ops to fs/smb/client/file.c
> 
> I'm not sure I understand what you mean.  Is there a bit missing between "at"
> and "adds" in that?

Sorry, "patch that adds".

What I meant is, the declaration of cifs_req_ops and it's definition
seem to appear in different patches of this series. And it might
make sense if they were both in the same patch. But given that
both are present by the end of the series it is more cosmetic
than anything else.